package com.community.huiju.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 临时车缴费表
 * </p>
 *
 * @author jobob
 * @since 2019-05-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_temporary_license_order")
public class TaTemporaryLicenseOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 小区ID
     */
    private Integer communityId;

    /**
     * 人员ID
     */
    private Integer taUserId;

    /**
     * 订单号
     */
    private String orderNumber;

    /**
     * 支付状态  0：未支付  1: 已支付 2: 正在支付中
     */
    private String orderStatus;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 更新时间
     */
    private Date updateDate;

    /**
     * 缴费手机号
     */
    private String paymentTel;

    /**
     * 缴费人姓名
     */
    private String paymentName;

    /**
     * 缴费方式 1是支付宝 2是微信支付
     */
    private String paymentType;

    /**
     * 实缴金额
     */
    private String actualAmount;

    /**
     * 抵扣金额
     */
    private String deductionAmount;

    /**
     * 应缴金额
     */
    private String amount;

    /**
     * 停车场
     */
    private String parkingLot;

    /**
     * 车牌号
     */
    private String licensePlate;

    /**
     * 来源
     */
    private String sourceFrom;


}
