package com.community.huiju.dao;

import com.community.huiju.model.TpTransactionReply;
import com.community.huiju.model.TpTransactionReport;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TpTransactionReportMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TpTransactionReport record);

    int insertSelective(TpTransactionReport record);

    TpTransactionReport selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TpTransactionReport record);

    int updateByPrimaryKey(TpTransactionReport record);

    /**
     * 根据小区 和 帖子id
     * @param communityId
     * @param transactionId
     * @return
     */
    TpTransactionReport selectByCommunityIdAndTransactionId(@Param("userId") Integer userId, @Param("communityId") Integer communityId, @Param("transactionId") Integer transactionId);

    /**
     * 统计帖子总数
     * @param id
     * @return
     */
    int selectCount(@Param("id") Integer id,@Param("communityId") Integer communityId);

    /**
     * 统计帖子举报列表
     * @param id
     * @return
     */
    List<TpTransactionReport> transactionReplyList(@Param("id")Integer id,@Param("communityId") Integer communityId);

    /**
     * app端话题管理清除不实举报
     * @param tpTransactionReport
     */
    void deleteTransactionReport(@Param("tpTransactionReportID") Integer tpTransactionReport,@Param("communityId") Integer communityId);
}