package com.community.huiju.feign.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class UpdateFace {


    /**
     * type : 厂商
     * face : {"doorPermissions":{"authName":"权限组","personIds":[],"secret":"服务器secret","appkey":"服务器appkey","openapi_ip_port_http":"服务器地址","opUserUuid":"服务器操作人员UUID","longNums":"门口机(可视对讲)编号"},"doorFace":{"secret":"服务器secret","appkey":"服务器appkey","openapi_ip_port_http":"服务器地址","opUserUuid":"服务器操作人员UUID","opType":"执行操作","personIds":"人员海康ID","longNums":"门口机(可视对讲)编号"},"entranceGuardPermissions":{"personIds":"人员海康ID","doorUuids":"门禁点UUID","secret":"服务器secret","appkey":"服务器appkey","openapi_ip_port_http":"服务器操地址","opUserUuid":"服务器操作人员UUID"},"entranceGuardFace":{"secret":"服务器secret","appkey":"服务器appkey","openapi_ip_port_http":"服务器操地址","opUserUuid":"服务器操作人员UUID","personIds":"人员海康ID","deviceUuids":"门禁设备UUID","type":"1"},"person":{"secret":"服务器secret","appkey":"服务器appkey","openapi_ip_port_http":"服务器操地址","opUserUuid":"服务器操作人员UUID","personId":"人员海康ID","personNo":"人员海康编号","personName":"人员名称","facePhoto":"人脸图片","cardNo":"卡号"}}
     */

    private String type;
    private FaceBean face;

    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public static class FaceBean {
        /**
         * doorFace : {"secret":"服务器secret","appkey":"服务器appkey","openapi_ip_port_http":"服务器地址","opUserUuid":"服务器操作人员UUID","opType":"执行操作","personIds":"人员海康ID","longNums":"门口机(可视对讲)编号"}
         * entranceGuardFace : {"secret":"服务器secret","appkey":"服务器appkey","openapi_ip_port_http":"服务器操地址","opUserUuid":"服务器操作人员UUID","personIds":"人员海康ID","deviceUuids":"门禁设备UUID","type":"1"}
         * person : {"secret":"服务器secret","appkey":"服务器appkey","openapi_ip_port_http":"服务器操地址","opUserUuid":"服务器操作人员UUID","personId":"人员海康ID","personNo":"人员海康编号","personName":"人员名称","facePhoto":"人脸图片","cardNo":"卡号"}
         */

        private DoorFaceBean doorFace;
        private EntranceGuardFaceBean entranceGuardFace;
        private PersonBean person;

        @Data
        @AllArgsConstructor
        @NoArgsConstructor
        public static class DoorFaceBean {
            /**
             * secret : 服务器secret
             * appkey : 服务器appkey
             * openapi_ip_port_http : 服务器地址
             * opUserUuid : 服务器操作人员UUID
             * opType : 执行操作
             * personIds : 人员海康ID
             * longNums : 门口机(可视对讲)编号
             */

            private String secret;
            private String appkey;
            private String openapi_ip_port_http;
            private String opUserUuid;
            private Integer opType;
            private List<Integer> personIds;
            private List<String> longNums;

        }

        @Data
        @AllArgsConstructor
        @NoArgsConstructor
        public static class EntranceGuardFaceBean {
            /**
             * secret : 服务器secret
             * appkey : 服务器appkey
             * openapi_ip_port_http : 服务器操地址
             * opUserUuid : 服务器操作人员UUID
             * personIds : 人员海康ID
             * deviceUuids : 门禁设备UUID
             * type : 1
             */

            private String secret;
            private String appkey;
            private String openapi_ip_port_http;
            private String opUserUuid;
            private String personIds;
            private String deviceUuids;
            private Integer type;

        }

        @Data
        @AllArgsConstructor
        @NoArgsConstructor
        public static class PersonBean {
            /**
             * secret : 服务器secret
             * appkey : 服务器appkey
             * openapi_ip_port_http : 服务器操地址
             * opUserUuid : 服务器操作人员UUID
             * personId : 人员海康ID
             * personNo : 人员海康编号
             * personName : 人员名称
             * facePhoto : 人脸图片
             * cardNo : 卡号
             */

            private String secret;
            private String appkey;
            private String openapi_ip_port_http;
            private String opUserUuid;
            private Integer personId;
            private Long personNo;
            private String personName;
            // 因为直接传输了图片流，就可以不用设置这个字段值
            private String facePhoto;
            private String cardNo;
        }
    }
}
