package com.community.huiju.base.properties;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 富士配置类
 * @author weiximei
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@Component
@ConfigurationProperties(prefix = "fu-shi")
public class FuShiProperties {

    /**
     * 富士云 请求地址
     */
    private String url;

    /**
     * 富士云 appid
     */
    private String appid;

    /**
     * 富士云 appSecret
     */
    private String appSecret;

    /**
     * 富士云 私钥 privateKey
     */
    private String privateKey;

    /**
     * 停车场编码
     */
    private String parkingCode;
}
