package com.community.huiju.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.model.TpShop;

/**
 * <p>
 * 小区商铺表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
public interface ITpShopService extends IService<TpShop> {
	
	/**
	 * 根据条件查询商铺列表
	 * @param id
	 * @param shopName
	 * @param shopTypeId
	 * @param shopStatus
	 * @param userElement
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	ResponseBean getShopList(Integer id, String shopName, Integer shopTypeId, String shopStatus, UserElement userElement, Integer pageNum, Integer pageSize);
	
	/**
	 * 保存商铺
	 * @param shop
	 * @param userElement
	 * @return
	 */
	ResponseBean saveShop(TpShop shop, UserElement userElement);
	
	/**
	 * 获取商铺信息
	 * @param id
	 * @return
	 */
	TpShop getShopById(Integer id);
	
	/**
	 * 更新商铺信息
	 * @param shop
	 * @param userElement
	 * @return
	 */
	ResponseBean updateShop(TpShop shop, UserElement userElement);

	/**
	 * 线下商铺评价列表
	 * @param id
	 * @param shopName
	 * @param score
	 * @param content
	 * @param appraisalPeople
	 * @param appraisalTel
	 * @param userElement
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
    ResponseBean shopAppraisalList(Integer id, String shopName, String score, String content, String appraisalPeople, String appraisalTel, UserElement userElement, Integer pageNum, Integer pageSize);

	/**
	 * 线下商铺回复评价
	 * @param id
	 * @param userElement
	 * @param replayContent
	 * @return
	 */
	ResponseBean shopAppraisalReplayAddandEditor(Integer id, UserElement userElement, String replayContent,Integer code);

	/**
	 * 线下商铺评论详情
	 * @param id
	 * @return
	 */
	ResponseBean shopAppraisalDetails(Integer id);

	/**
	 * 线下商铺评论上架和下架
	 * @param parameter
	 * @param userElement
	 * @return
	 */
	ResponseBean shopAppraisalStatus(String parameter, UserElement userElement);

	/**
	 * 下商铺修改权重
	 * @param id
	 * @param sort
	 * @param userElement
	 * @return
	 */
	ResponseBean shopAppraisalSort(Integer id, Integer sort, UserElement userElement);
}
